首页 新闻 搜索 专区 学院

DNX Core 5.0 如何引用标准类库?

0
悬赏园豆:50 [待解决问题]

DNX Core 5.0 如何引用.net4.5标准类库?

KoalaWang的主页 KoalaWang | 初学一级 | 园豆:138
提问于:2015-09-27 17:57
< >
分享
所有回答(3)
0
JackWang-CUMT | 园豆:2826 (老鸟四级) | 2015-10-08 16:48
1

默认状态下,可以正常引用。但是有几个问题需要注意。

1、当使用ASP.net5 bate8及以下版本,存在一个bug。

 

对于使用非 .net framework4.5.1框架创建的新工程,创建后,project.json文件中,依然为“dnx451”,而不是实际上的框架版本。

参见http://stackoverflow.com/questions/31671851/vs-2015-setting-right-target-framework-for-asp-net-5-web-project

如果如果你要引用的标准dll依赖的框架高于.net framework4.5.1,则提示无法引用。

2、ASP.net 5应用程序,既可以基于完整的.net框架,也可以给予一个新的,精简版的.net core。默认状态是全功能.net。可以在项目属性中进行修改。

确保你的Runtime为全功能版本(默认)。而不是.net Core。

3、编辑目标平台数组中,要删除dnxcore50,意思是,不编译到该目标平台。

虾。 | 园豆:257 (菜鸟二级) | 2015-11-11 15:06
0

我也遇到这个问题,一直没有解决掉

EastWind520 | 园豆:15 (初学一级) | 2016-01-04 23:28
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册